# php-gen

A generator of things with a strict syntax.

This is a very simple project, literally less than a hundred lines. in
source code.

What can it do? Well, you give it an ini file that tells it what to do.

The fields in this ini file are the following:

```ini
title="Word Generator"
; This is not required, but it is recommended. 

format[]="consonant"
format[]="vowel"
format[]="consonant"
format[]="vowel"
format[]="consonant"
format[]="space"
format[]="consonant"
format[]="vowel"
format[]="consonant"
format[]="vowel"
format[]="consonant"
; This specifies the format that the generated text will have. This is required.

; Also, if you don't have at least one option for all specified fields, you can expect an error message

space[]=" "

vowel[]="a"
consonant[]="b"
consonant[]="c"
consonant[]="d"
vowel[]="e"
consonant[]="f"
consonant[]="g"
consonant[]="h"
vowel[]="i"
consonant[]="j"
consonant[]="k"
consonant[]="l"
consonant[]="m"
consonant[]="n"
vowel[]="o"
consonant[]="p"
consonant[]="q"
consonant[]="r"
consonant[]="s"
consonant[]="t"
vowel[]="u"
consonant[]="v"
consonant[]="w"
consonant[]="x"
consonant[]="y"
consonant[]="z"

```

The name of this ini file is `wordlist.ini`, because I usually use it to
generate random colections of words, like sentences.

## What it can do

Because I assume that you won't be lettning other people get at your 
config files, sanitization is minimal. This is  good, because this means 
you can even randomly generate javascript.

Basically, you can include whatever html you want in these fields, 
letting you format your generated string however you want.

In theory, you could even generate any sort of image or audio, although 
I'm not sure if you can even play inline audio files. I know that you 
*can* display inline svgs for insance.
